Public Class ReverseRequest
    Inherits RequestBaseExtend

    ''' <summary>
    ''' İade nedeni bilgisini içermelidir.
    ''' BOZUK URUN
    ''' HATALI SATIN ALMA
    ''' DAHA SONRA ALACAGIM
    ''' DIGER
    ''' </summary>
    Public Property Reason As String

    Public Overrides Function Validate() As ValidationResult
        If String.IsNullOrEmpty(OrderId) Then
            Return ValidationResult.Failed("OrderId alanı boş veya null olamaz.")
        End If

        Return ValidationResult.Success
    End Function

End Class